From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/msgpack/
Date: Sat, 4 Jun 2022 07:00:23 +0000 (UTC) [thread overview]
Message-ID: <1654326020.92103503995098fa33e963e1938d8ad0f71260c8.mgorny@gentoo> (raw)
commit: 92103503995098fa33e963e1938d8ad0f71260c8
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 4 06:05:28 2022 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jun 4 07:00:20 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=92103503
dev-python/msgpack: Bump to 1.0.4
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/msgpack/Manifest | 1 +
dev-python/msgpack/msgpack-1.0.4.ebuild | 47 +++++++++++++++++++++++++++++++++
2 files changed, 48 insertions(+)
diff --git a/dev-python/msgpack/Manifest b/dev-python/msgpack/Manifest
index 98bfdaa54019..2d9eb9aaaece 100644
--- a/dev-python/msgpack/Manifest
+++ b/dev-python/msgpack/Manifest
@@ -1,2 +1,3 @@
DIST msgpack-0.6.2.tar.gz 119062 BLAKE2B 6b20a0d31b811ae66e66dbfaacec6f0cf2152b2937423b78f3e6244bfa49c87767788c5ee1db41b9020801b8777a4c15b1fe1853182718adf622bc7e1bff858e SHA512 95b92e3d35e0500dd4256d18bf76e586e57cc66319b4459ac5daef599277a5049177a89ad86e291dbdc4c7a918901a89d9218353ddc4a7d0b399e8a98afef363
DIST msgpack-1.0.3.tar.gz 123830 BLAKE2B 308af03206fef18edb0acd3c1d91ccd28385731c02cb930e8f64786bbcd8925510cf4ca0b924830b84fd6eaa7edf91e6a43f79c77d856651768eeaa1ab8cf855 SHA512 1569e42c6499c60458a63aa722b5c7e3dc817e38ae4bed2dc8199dc1bcbc36ff876e055b046b4f6063b5606036ae9238080c05be1e09a61a34e7f97fd5031fcd
+DIST msgpack-1.0.4.tar.gz 128053 BLAKE2B fcbaafbea57f87c949a43a6bd6f6507eb3a07ac5e4a9c44fabfbb7c07849f1edabb8dadcd99a547fed32bce0f900f965368c4ee744acd4e850cad5c27022f463 SHA512 dcd59bf77408acf7171bdcc46c4d6bf875d36e80b216b7721544855e6c2b20be469415ee768b2195e74fe4650621ee6bfaa7897e709ac0d8d59cdb30772cb90b
diff --git a/dev-python/msgpack/msgpack-1.0.4.ebuild b/dev-python/msgpack/msgpack-1.0.4.ebuild
new file mode 100644
index 000000000000..d0334f4d25d6
--- /dev/null
+++ b/dev-python/msgpack/msgpack-1.0.4.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="MessagePack (de)serializer for Python"
+HOMEPAGE="
+ https://msgpack.org/
+ https://github.com/msgpack/msgpack-python/
+ https://pypi.org/project/msgpack/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86 ~x64-macos"
+IUSE="+native-extensions"
+
+# extension code is relying on CPython implementation details
+BDEPEND="
+ native-extensions? (
+ $(python_gen_cond_dep '
+ >=dev-python/cython-0.29.30[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+ test? (
+ dev-python/six[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Remove pre-generated cython files
+ rm msgpack/_cmsgpack.cpp || die
+
+ if ! use native-extensions ; then
+ sed -i -e "/have_cython/s:True:False:" setup.py || die
+ fi
+
+ distutils-r1_python_prepare_all
+}
next reply other threads:[~2022-06-04 7:00 UTC|newest]
Thread overview: 126+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-06-04 7:00 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-04 15:00 [gentoo-commits] repo/gentoo:master commit in: dev-python/msgpack/ Michał Górny
2025-01-04 13:28 Arthur Zamarin
2024-10-13 19:41 Arthur Zamarin
2024-10-13 14:51 Sam James
2024-09-28 14:03 Arthur Zamarin
2024-09-28 13:26 Arthur Zamarin
2024-09-28 12:51 Arthur Zamarin
2024-09-28 12:40 Sam James
2024-09-28 12:32 Arthur Zamarin
2024-09-28 10:33 Michał Górny
2024-09-24 15:09 Arthur Zamarin
2024-09-10 7:06 Michał Górny
2024-07-11 20:55 James Le Cuirot
2024-06-19 5:24 Arthur Zamarin
2024-06-15 6:18 Viorel Munteanu
2024-05-17 10:51 Michał Górny
2024-03-16 18:14 Michał Górny
2024-03-16 17:34 Arthur Zamarin
2024-03-16 17:11 Arthur Zamarin
2024-03-16 17:06 Arthur Zamarin
2024-03-16 16:46 Arthur Zamarin
2024-03-16 11:24 Arthur Zamarin
2024-03-16 9:37 Arthur Zamarin
2024-03-02 6:43 Michał Górny
2023-10-08 17:48 Michał Górny
2023-10-08 15:29 Arthur Zamarin
2023-10-06 19:42 Sam James
2023-10-06 19:42 Sam James
2023-10-06 19:20 Arthur Zamarin
2023-10-06 19:20 Arthur Zamarin
2023-10-06 19:18 Sam James
2023-10-06 18:09 Sam James
2023-10-06 17:05 Arthur Zamarin
2023-10-06 17:05 Arthur Zamarin
2023-10-06 17:05 Arthur Zamarin
2023-10-06 14:30 Arthur Zamarin
2023-10-06 14:30 Arthur Zamarin
2023-09-28 17:08 Michał Górny
2023-09-22 11:34 Michał Górny
2023-09-01 12:16 Sam James
2023-08-13 16:07 Arthur Zamarin
2023-08-06 8:48 Michał Górny
2023-05-27 19:23 Arthur Zamarin
2023-05-20 7:15 Michał Górny
2023-04-08 10:47 Arthur Zamarin
2023-04-08 10:43 Arthur Zamarin
2023-04-08 9:57 Arthur Zamarin
2023-04-08 9:05 Arthur Zamarin
2023-04-08 8:22 Arthur Zamarin
2023-04-08 8:15 Arthur Zamarin
2023-03-09 5:58 Michał Górny
2022-11-18 15:14 Arthur Zamarin
2022-11-05 3:21 Michał Górny
2022-11-01 3:36 Michał Górny
2022-10-22 14:54 Michał Górny
2022-09-16 10:15 Arthur Zamarin
2022-09-10 18:28 Arthur Zamarin
2022-09-08 5:19 Sam James
2022-06-22 11:50 Michał Górny
2022-06-22 10:12 Agostino Sarubbo
2022-06-22 6:58 Agostino Sarubbo
2022-06-22 6:53 Agostino Sarubbo
2022-06-21 19:26 Arthur Zamarin
2022-06-21 19:18 Arthur Zamarin
2022-05-19 7:14 Michał Górny
2022-05-19 7:14 Michał Górny
2022-02-28 0:01 Piotr Karbowski
2021-12-26 20:39 Michał Górny
2021-12-26 19:05 Sam James
2021-12-26 0:23 Sam James
2021-12-25 19:09 Jakov Smolić
2021-12-25 17:55 Arthur Zamarin
2021-12-25 17:55 Arthur Zamarin
2021-11-25 8:11 Michał Górny
2021-05-20 20:16 Michał Górny
2021-01-24 10:15 Michał Górny
2021-01-20 0:04 Sam James
2021-01-19 2:45 Sam James
2021-01-18 17:43 Sam James
2021-01-18 14:10 Sam James
2020-12-22 9:00 Michał Górny
2020-12-19 8:59 Michał Górny
2020-12-14 2:49 Sam James
2020-12-14 2:49 Sam James
2020-11-02 9:47 Sam James
2020-10-20 6:57 Sergei Trofimovich
2020-10-19 0:13 Sam James
2020-10-18 23:55 Sam James
2020-10-18 18:51 Thomas Deutschmann
2020-09-12 4:09 Sam James
2020-09-12 1:56 Sam James
2020-09-12 1:56 Sam James
2020-07-20 11:45 Sam James
2020-03-22 5:37 Michał Górny
2020-03-21 16:26 Agostino Sarubbo
2020-03-20 11:28 Agostino Sarubbo
2020-03-20 9:04 Agostino Sarubbo
2020-03-20 8:59 Agostino Sarubbo
2020-03-19 17:49 Michał Górny
2019-11-28 20:08 Patrick McLean
2019-07-28 20:31 Mikle Kolyada
2019-06-05 7:12 Agostino Sarubbo
2019-05-27 18:35 Piotr Karbowski
2019-04-09 20:06 Matthew Thode
2019-01-28 0:25 Matthew Thode
2018-07-07 12:15 Jonas Stein
2018-03-31 0:59 Matt Thode
2018-03-17 10:51 Michał Górny
2018-03-10 8:21 Michał Górny
2018-03-09 19:35 Matt Thode
2018-03-09 19:05 Matt Thode
2018-03-05 22:08 Patrice Clement
2018-03-05 22:08 Patrice Clement
2018-02-16 6:08 Matt Thode
2017-12-28 14:03 Sergei Trofimovich
2017-08-20 2:17 Tim Harder
2017-08-20 2:17 Tim Harder
2017-05-02 19:15 Michał Górny
2017-04-01 10:35 Michael Weber
2017-04-01 10:35 Michael Weber
2017-02-27 5:35 Zac Medico
2016-08-22 4:00 Tim Harder
2016-02-28 7:25 Matt Thode
2016-02-18 21:21 Patrick Lauer
2016-02-09 9:33 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1654326020.92103503995098fa33e963e1938d8ad0f71260c8.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox